user www-data;
worker_processes auto;
pid /run/nginx.pid;
include /etc/nginx/modules-enabled/*.conf;

events {
	worker_connections 768;
	# multi_accept on;
}

http {

	##
	# Basic Settings
	##

	sendfile on;
	tcp_nopush on;
	tcp_nodelay on;
	keepalive_timeout 65;
	types_hash_max_size 2048;
	# server_tokens off;

	# server_names_hash_bucket_size 64;
	# server_name_in_redirect off;

	include /etc/nginx/mime.types;
	default_type application/octet-stream;

	##
	# SSL Settings
	##

	ssl_protocols TLSv1 TLSv1.1 TLSv1.2; # Dropping SSLv3, ref: POODLE
	ssl_prefer_server_ciphers on;

	##
	# Logging Settings
	##

	access_log /var/log/nginx/access.log;
	error_log /var/log/nginx/error.log;

	##
	# Gzip Settings
	##

	gzip on;
	server {
		listen       8081;
		server_name  12.34.56.78; # 修改为自己的域名或IP地址

		location / {
			root   /home/website/web; # 修改为自己的网站目录
			try_files $uri $uri/ /index.html;
			index  index.html index.htm;
		}
			
		location /prod-api/{
			proxy_set_header Host $http_host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header REMOTE-HOST $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_pass http://127.0.0.1:8080/; # 修改为自己的后端服务地址和端口
		}
		
		error_page   500 502 503 504  /50x.html;
		location = /50x.html {
			root   html;
		}
	}
	
<<<<<<< HEAD
	server {
		listen       8091;
			server_name  localhost;
	
		location / {
			root   /home/website/ktgmes/UI/dist;
			try_files $uri $uri/ /index.html;
			index  index.html index.htm;
			}
			
		location /prod-api/{
			proxy_set_header Host $http_host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header REMOTE-HOST $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_pass http://localhost:8090/;
		}
		
		error_page   500 502 503 504  /50x.html;
			location = /50x.html {
				root   html;
			}
	}
	
	server {
		listen       8071;
			server_name  localhost;
	
		location / {
			root   /home/website/km/UI/dist;
			try_files $uri $uri/ /index.html;
			index  index.html index.htm;
			}
			
		location /prod-api/{
			proxy_set_header Host $http_host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header REMOTE-HOST $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_pass http://localhost:8070/;
		}
		
		error_page   500 502 503 504  /50x.html;
			location = /50x.html {
				root   html;
			}
	}

	server {
		listen       8061;
			server_name  localhost;
	
		location / {
			root   /home/website/kfyy/UI;
			try_files $uri $uri/ /index.html;
			index  index.html index.htm;
			}
			
		location /prod-api/{
			proxy_set_header Host $http_host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header REMOTE-HOST $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_pass http://localhost:8060/;
		}
		
		error_page   500 502 503 504  /50x.html;
			location = /50x.html {
				root   html;
			}
	}
	
	
	server {
		listen       8084;
			server_name  localhost;
	
		location / {
			root   /home/website/dataroom/UI;
			try_files $uri $uri/ /index.html;
			index  index.html index.htm;
			}
			
		location /prod-api/{
			proxy_set_header Host $http_host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header REMOTE-HOST $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_pass http://localhost:8083/;
		}
		
		error_page   500 502 503 504  /50x.html;
			location = /50x.html {
				root   html;
			}
	}
	
	server {
		listen       8021;
			server_name  localhost;
	
		location / {
			root   /home/website/xingyun/UI;
			try_files $uri $uri/ /index.html;
			index  index.html index.htm;
			}
			
		location /prod-api/{
			proxy_set_header Host $http_host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header REMOTE-HOST $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_pass http://localhost:8070/;
		}
		
		error_page   500 502 503 504  /50x.html;
			location = /50x.html {
				root   html;
			}
	}
	
	server {
		listen       8261;
			server_name  localhost;
	
		location / {
			root   /home/website/olderp/UI;
			try_files $uri $uri/ /index.html;
			index  index.html index.htm;
			}
			
		location /prod-api/{
			proxy_set_header Host $http_host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header REMOTE-HOST $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_pass http://localhost:8070/;
		}
		
		error_page   500 502 503 504  /50x.html;
			location = /50x.html {
				root   html;
			}
	}
	
	server {
		listen       8801;
			server_name  localhost;
	
		location / {
			root   /home/website/ylsf/UI;
			try_files $uri $uri/ /index.html;
			index  index.html index.htm;
			}
			
		location /prod-api/{
			proxy_set_header Host $http_host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header REMOTE-HOST $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_pass http://localhost:8070/;
		}
		
		error_page   500 502 503 504  /50x.html;
			location = /50x.html {
				root   html;
			}
	}



        server {
                listen       8811;
                        server_name  localhost;

                location / {
                        root   /home/website/xlrx/zhengzhou/web;
                        try_files $uri $uri/ /index.html;
                        index  index.html index.htm;
                        }

                location /prod-api/{
                        proxy_set_header Host $http_host;
                        proxy_set_header X-Real-IP $remote_addr;
                        proxy_set_header REMOTE-HOST $remote_addr;
                        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                        proxy_pass http://localhost:8070/;
                }

                error_page   500 502 503 504  /50x.html;
                        location = /50x.html {
                                root   html;
                        }
        }


 server {
                listen       8821;
                        server_name  localhost;

                location / {
                        root   /home/website/xlrx/xinxiang/web;
                        try_files $uri $uri/ /index.html;
                        index  index.html index.htm;
                        }

                location /prod-api/{
                        proxy_set_header Host $http_host;
                        proxy_set_header X-Real-IP $remote_addr;
                        proxy_set_header REMOTE-HOST $remote_addr;
                        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                        proxy_pass http://localhost:8070/;
                }

                error_page   500 502 503 504  /50x.html;
                        location = /50x.html {
                                root   html;
                        }
        }
	 server {
                listen       8151;
                        server_name  localhost;

                location / {
                        root   /home/website/zhiNengZhiJian;
                        try_files $uri $uri/ /index.html;
                        index  index.html index.htm;
                        }

                location /prod-api/{
                        proxy_set_header Host $http_host;
                        proxy_set_header X-Real-IP $remote_addr;
                        proxy_set_header REMOTE-HOST $remote_addr;
                        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                        proxy_pass http://localhost:8070/;
                }

                error_page   500 502 503 504  /50x.html;
                        location = /50x.html {
                                root   html;
                        }
        }
	server {
                listen       8221;
                        server_name  localhost;

                location / {
                        root   /home/website/huojia;
                        try_files $uri $uri/ /index.html;
                        index  index.html index.htm;
                        }

                location /prod-api/{
                        proxy_set_header Host $http_host;
                        proxy_set_header X-Real-IP $remote_addr;
                        proxy_set_header REMOTE-HOST $remote_addr;
                        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                        proxy_pass http://localhost:8070/;
                }

                error_page   500 502 503 504  /50x.html;
                        location = /50x.html {
                                root   html;
                        }
        }
	server {
	            listen       8321;
	                    server_name  localhost;
	
	            location / {
	                    root   /home/website/hjzxall/web;
	                    try_files $uri $uri/ /index.html;
	                    index  index.html index.htm;
	                    }
	
	            location /prod-api/{
	                    proxy_set_header Host $http_host;
	                    proxy_set_header X-Real-IP $remote_addr;
	                    proxy_set_header REMOTE-HOST $remote_addr;
	                    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	                    proxy_pass http://localhost:8070/;
	            }
	
	            error_page   500 502 503 504  /50x.html;
	                    location = /50x.html {
	                            root   html;
	                    }
	    }
=======
>>>>>>> 8e11c447ddca117cb48dda325031fedf785a0ebe
	# gzip_vary on;
	# gzip_proxied any;
	# gzip_comp_level 6;
	# gzip_buffers 16 8k;
	# gzip_http_version 1.1;
	# gzip_types text/plain text/css application/json application/javascript text/xml application/xml application/xml+rss text/javascript;

	##
	# Virtual Host Configs
	##

	include /etc/nginx/conf.d/*.conf;
	include /etc/nginx/sites-enabled/*;
}
